// a1013View.cpp : implementation of the CA1013View class
//

#include "stdafx.h"
#include "a1013.h"

#include "a1013Doc.h"
#include "a1013View.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CA1013View

IMPLEMENT_DYNCREATE(CA1013View, CFormView)

BEGIN_MESSAGE_MAP(CA1013View, CFormView)
	//{{AFX_MSG_MAP(CA1013View)
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CFormView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CFormView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CFormView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CA1013View construction/destruction

CA1013View::CA1013View()
	: CFormView(CA1013View::IDD)
{
	//{{AFX_DATA_INIT(CA1013View)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// TODO: add construction code here

}

CA1013View::~CA1013View()
{
}

void CA1013View::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CA1013View)
	DDX_Control(pDX, IDC_LIST1, m_list);
	//}}AFX_DATA_MAP
}

BOOL CA1013View::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CFormView::PreCreateWindow(cs);
}

void CA1013View::OnInitialUpdate()
{
	CFormView::OnInitialUpdate();
	GetParentFrame()->RecalcLayout();
	ResizeParentToFit();

	if(FALSE == m_db.Open("logdb",FALSE,FALSE, "ODBC;", FALSE))
	{
		AfxMessageBox("error");
	}
	if(TRUE == m_db.IsOpen())
	{
		AfxMessageBox("ok open");
	}

}

/////////////////////////////////////////////////////////////////////////////
// CA1013View printing

BOOL CA1013View::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CA1013View::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CA1013View::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

void CA1013View::OnPrint(CDC* pDC, CPrintInfo* /*pInfo*/)
{
	// TODO: add customized printing code here
}

/////////////////////////////////////////////////////////////////////////////
// CA1013View diagnostics

#ifdef _DEBUG
void CA1013View::AssertValid() const
{
	CFormView::AssertValid();
}

void CA1013View::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}

CA1013Doc* CA1013View::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CA1013Doc)));
	return (CA1013Doc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CA1013View message handlers

void CA1013View::OnButton1() 
{
	// TODO: Add your control notification handler code here
	srand(time(NULL));

	char sql[1024];

	int i=0;
	for(i=0;i<100;i++)
	{
		sprintf(sql, "insert into tbllog(ip,port) values('0.0.0.0',%d)", rand()%2000);
	
	TRY
	{
		m_db.ExecuteSQL(sql);
	}
	CATCH(CDBException, e)
	{
		AfxMessageBox("Insert Error2");
	}
	END_CATCH
	}

}

void CA1013View::OnButton2() 
{
	// TODO: Add your control notification handler code here
	char sql[1024];

	sprintf(sql, "delete from tbllog");

	TRY
	{
		m_db.ExecuteSQL(sql);
	}
	CATCH(CDBException, e)
	{
		AfxMessageBox("Delete Error");
	}
	END_CATCH
}

void CA1013View::OnButton3() 
{
	// TODO: Add your control notification handler code here
	
	char sql[1024];

	CRecordset rs(&m_db);

	TRY
	{
		sprintf(sql,"select * from tbllog");
		rs.Open(CRecordset::snapshot, sql, CRecordset::none);
	}
	CATCH(CDBException, e)
	{
		AfxMessageBox(e->m_strError);
	}
	END_CATCH

	AfxMessageBox("View Success");

	CString msg;
	CString ip;
	CString port;

	while(1)
	{
		if(TRUE==rs.IsEOF())
		{
			break;
		}

		rs.GetFieldValue("ip",ip);
		rs.GetFieldValue("port",port);
		msg.Format("%s %s", ip, port);
		m_list.AddString(msg);
		rs.MoveNext();

		
	}
		
}
